<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="flex-style.css">
    <title>flexBox</title>
</head>
<body>
    <!-- <div class="container"> -->
        <!-- <div class="box">1</div> -->
        <!-- <div><p>1</p></div>
        <div>2</div>
        <div>3</div>
        <div>1</div> -->
        <!-- <div>2</div>
        <div>3</div>
        <div>1</div>
        <div>2</div>
        <div>3</div>
        <div>1</div>
        <div>2</div>
        <div>3</div> -->
    <!-- </div> -->
</body>
</html>
<!-- <div class="flex-container"> -->
    <!-- <div style="flex-shrink: 1">1</div>
    <div style="flex-shrink: 1">2</div>
    <div style="flex-shrink: 1">3</div>  -->
    <!-- <div style="flex-shrink: 1">4</div>
    <div style="flex-shrink: 1">5</div>
    <div style="flex-shrink: 3">6</div>
     <div style="flex: 9 0 400px">7</div> -->
     <div class="container">
        <div style="align-self: inherit">1</div>
        <div style="align-self: start">2</div>
        <div style="align-self: end">3</div>
        <div style="align-self:center">4</div>
        <div>5</div>
        <!-- <div>5</div>
        <div style="align-self: flex-end">6</div> -->
     </div>
    <!-- <div style="flex-shrink: 1">7</div> 
    <div style="flex-shrink: 1">8</div>
    <div style="flex-shrink: 1">9</div>
    <div style="flex-shrink: 1">10</div>
    <div style="flex-shrink: 1">11</div> 
    <div style="flex-shrink: 1">12</div> -->
<!-- </div> -->
  